# Listing_16-9.py
# Copyright Warren Sande, 2009
# Released under MIT license   http://www.opensource.org/licenses/mit-license.php
# Version 60  ----------------------------

# A well-connected sinewave 

import pygame, sys
import math
pygame.init()
screen = pygame.display.set_mode([640,480])
screen.fill([255, 255, 255])
plotPoints = []
for x in range(0, 640):
    y = int(math.sin(x/640.0 * 4 * math.pi) * 200 + 240)   # sine wave formula
    plotPoints.append([x, y])                              # make a list of the points

pygame.draw.lines(screen, [0,0,0],False, plotPoints, 1)    # plot the points, joined together

pygame.display.flip()
while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
